exception Unbound of string
exception Unify of F.nominal_type * F.nominal_type
exception Cycle of F.nominal_type

module Env : sig
  type t
  val empty : t
  val add_typedecl : t -> ML.data_type_descr -> t
end

val translate: Env.t -> ML.term -> F.nominal_term
